Skip to main content
PUT
Update POS device

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

id
string
required

id of pos device

Body

application/json
name
string
device_type
enum<string>
Available options:
pos-terminal
external_device_id
string

A unique ID issued by the Vendor.

vendor
string
model_number
string
mac_address
string | null
Pattern: ^([0-9A-Fa-f]{2}[:-]){5}[0-9A-Fa-f]{2}$
location_id
string
location_name
string | null
claimed_by
PosDeviceClaimedUser · object | null

Returns a user object if the device is claimed, otherwise returns null.

is_busy
boolean

This field specifies the device is occupied for a transaction.

Response

OK

message
string
required
success
boolean
required
content
object
required